{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "NO_SEQ_ARR_ANNUL"; 
            externalType = NUMBER; 
            name = annulationOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMAT_ANNULATION_SOURCE"; 
            externalType = NUMBER; 
            name = annulationSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CMAT_ORDRE"; 
            externalType = NUMBER; 
            name = cmatOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMAT_SOURCE"; 
            externalType = NUMBER; 
            name = cmatSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "C_TYPE_CG_MATERN"; 
            externalType = VARCHAR2; 
            name = cTypeCgMatern; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ACCOUCHEMENT"; 
            externalType = DATE; 
            name = dAccouchement; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ANNULATION"; 
            externalType = DATE; 
            name = dAnnulation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CG_MATERN"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_DEB_CG_MATERN"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CG_MATERN"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_CONSTAT_MATERN"; 
            externalType = DATE; 
            name = dConstatMatern; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DM_SOURCE"; 
            externalType = NUMBER; 
            name = dmSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_NAIS_PREV"; 
            externalType = DATE; 
            name = dNaisPrev; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            columnName = "ID_SOURCE"; 
            externalType = NUMBER; 
            name = idSource; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "IND_ORDRE"; 
            externalType = NUMBER; 
            name = indOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NB_ENFANTS_DECL"; 
            externalType = NUMBER; 
            name = nbEnfantsDecl; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CG_MATERN"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_ANNULATION"; 
            externalType = VARCHAR2; 
            name = noArreteAnnulation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CMAT_OPERATION"; 
            externalType = VARCHAR2; 
            name = operation; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "CMAT_STATUT"; 
            externalType = VARCHAR2; 
            name = statut; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "TEM_ANNULE"; 
            externalType = VARCHAR2; 
            name = temAnnule; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CG_SANS_TRAIT"; 
            externalType = VARCHAR2; 
            name = temCgSansTrait; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_CONFIRME"; 
            externalType = VARCHAR2; 
            name = temConfirme; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GEST_ETAB"; 
            externalType = VARCHAR2; 
            name = temGestEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GROSSESSE_GEMELLAIRE"; 
            externalType = VARCHAR2; 
            name = temGrossesseGemellaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_GROSSESSE_TRIPLE"; 
            externalType = VARCHAR2; 
            name = temGrossesseTriple; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "CMAT_IMPORT"; 
            externalType = VARCHAR2; 
            name = temImport; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (cmatOrdre); 
    className = "org.cocktail.connecteur.serveur.modele.entite_import.EOCongeMaternite"; 
    classProperties = (
        annulationSource, 
        cmatSource, 
        commentaire, 
        congeAnnulation, 
        cTypeCgMatern, 
        dAccouchement, 
        dAnnulation, 
        dateArrete, 
        dateDebut, 
        dateFin, 
        dConstatMatern, 
        dCreation, 
        dModification, 
        dmSource, 
        dNaisPrev, 
        idSource, 
        individu, 
        nbEnfantsDecl, 
        noArrete, 
        noArreteAnnulation, 
        operation, 
        statut, 
        temAnnule, 
        temCgSansTrait, 
        temConfirme, 
        temGestEtab, 
        temGrossesseGemellaire, 
        temGrossesseTriple, 
        temImport
    ); 
    externalName = "IMPORT.CONGE_MATERNITE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            annulationSource, 
            cmatSource, 
            commentaire, 
            cTypeCgMatern, 
            dAccouchement, 
            dAnnulation, 
            dateArrete, 
            dateDebut, 
            dateFin, 
            dConstatMatern, 
            dCreation, 
            dModification, 
            dmSource, 
            dNaisPrev, 
            idSource, 
            individu, 
            nbEnfantsDecl, 
            noArrete, 
            noArreteAnnulation, 
            operation, 
            statut, 
            temAnnule, 
            temCgSansTrait, 
            temConfirme, 
            temGestEtab, 
            temGrossesseGemellaire, 
            temGrossesseTriple, 
            temImport
        ); 
        "_javaClientClassName" = "org.cocktail.connecteur.client.modele.entite_import.EOCongeMaternite"; 
    }; 
    name = CongeMaternite; 
    primaryKeyAttributes = (cmatOrdre); 
    relationships = (
        {
            destination = CongeMaternite; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cmatOrdre; sourceAttribute = annulationOrdre; }); 
            name = congeAnnulation; 
        }, 
        {
            destination = Individu; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = indOrdre; sourceAttribute = indOrdre; }); 
            name = individu; 
        }
    ); 
    userInfo = {"_EntityModeler" = {parentClassName = CongeAvecArrete; }; }; 
}
